Subject: Re: redo-whichdo broken

From: spacefrogg <[email-masked]>
Date: Fri, 17 Nov 2023 13:12:17 +0000

Hi,

I tried the new version 2.3.0 and the fix is only partial. At least 
there is an inconsistency with the old behaviour of redo-whichdo. When 
it does not find any .do file up to the filesystem root, it, now, prints 
an error message and no list of .do files. It should not do that. At 
least for what I use it for, this is useless behaviour. It should rather 
print the whole list (up to /default.do) and terminate with an error 
code to signal that although it printed the list, the last file is still 
not valid. This is what the previous redo-whichdo did, and which was 
much more useful.

Regards,
–Michael